Bug 157414 - Web freeform project not opened correctly
Web freeform project not opened correctly
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: Web Freeform
6.x
All All
: P2 (vote)
: 6.x
Assigned To: issues@javaee
issues@javaee
: ERGONOMICS
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-25 22:36 UTC by Petr Jiricka
Modified: 2009-02-19 23:27 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Jiricka 2009-01-25 22:36:01 UTC
NetBeans 7.0 build 4900 from deadlock.

1. Create a web freeform project by importing existing web sources, e.g. JSPWiki (accept all the defaults)
2. Go to Project Properties, you will see category "Web Sources"
3. Close the IDE, restart with a fresh userdir
4. Open the freeform project created in step 1.

The project is open incorrectly, "Web Sources" is missing in the customizer, and features such as editing JSPs don't
work. This is because the Web Applications plugin is not enabled.
Comment 1 Jaroslav Tulach 2009-02-02 16:33:25 UTC
ergonomics#317850ce6b3f
Comment 2 Quality Engineering 2009-02-04 21:22:31 UTC
Integrated into 'main-golden', will be available in build *200902041526* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/317850ce6b3f
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #157414: Recognizing project/configuration/web-data as something that needs enterprise functionality


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo